Canvas5Structure Namespace Reference documentation

Classes | Functions
Canvas5Structure Namespace Reference

a namespace used to define basic function or structure to read a Canvas v5-v11 file More...

## Classes
struct | LWZDecoder
| a basic LWZ decoder More...
struct | NIBDecoder
| a basic NIB decoder More...
struct | Stream
| a sub stream of Canvas5Structure More...
struct | UnpackDecoder
| a basic Unpack decoder More...

## Functions
std::string | getString (unsigned val)
| very low level: debug print some uint32_t either at char4 or sample int More...
bool | readBitmap (Stream &stream, int version, MWAWEmbeddedObject &object, MWAWColor *avgColor=nullptr)
| try to read a bitmap(low level) More...
bool | readBitmapDAD58Bim (Stream &stream, int version, MWAWEmbeddedObject &object)
| try to read a bitmap followed by DAD5 and 8BIM zones More...
bool | readPreview (Canvas5Structure::Stream &stream, bool hasPreviewBitmap)
| try to read the preview bitmap More...
bool | decodeZone5 (MWAWInputStreamPtr input, long endPos, int type, unsigned long finalLength, std::shared_ptr< MWAWStringStream > &stream)
| try to decode a zone v5-v6 More...

## Detailed Description

a namespace used to define basic function or structure to read a Canvas v5-v11 file

## Function Documentation

## ◆ decodeZone5()

bool Canvas5Structure::decodeZone5 | ( | MWAWInputStreamPtr | input,
|  | long | endPos,
|  | int | type,
|  | unsigned long | finalLength,
|  | std::shared_ptr< MWAWStringStream > & | stream
| ) |  |

try to decode a zone v5-v6

Referenced by Canvas5Parser::decode().

## ◆ getString()

std::string Canvas5Structure::getString | ( | unsigned | val | ) |

very low level: debug print some uint32_t either at char4 or sample int

Referenced by Canvas5ImageInternal::VKFLShape::getTypeName(), Canvas5Parser::readArray9(), ZWrtParser::readBarState(), readBitmapDAD58Bim(), Canvas5StyleManager::readColor(), Canvas5StyleManager::readColorStyle(), Canvas5Parser::readFileRSRCs(), Canvas5StyleManager::readPenStyle(), Canvas5Parser::readPnot(), Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), Canvas5StyleManager::readSymbol(), Canvas5Parser::readTextLinks(), Canvas5Image::readVKFL(), Canvas5Image::readVKFLShape(), Canvas5Image::readVKFLShapeMainData(), Canvas5Image::readVKFLShapeOtherData(), Canvas5Graph::sendSpecial(), Canvas5Graph::sendTechnical(), Canvas5StyleManager::updateLine(), Canvas5StyleManager::updateLineColor(), and Canvas5StyleManager::updateSurfaceColor().

## ◆ readBitmap()

bool Canvas5Structure::readBitmap | ( | Stream & | stream,
|  | int | version,
|  | MWAWEmbeddedObject & | object,
|  | MWAWColor * | avgColor
| ) |  |

try to read a bitmap(low level)

Referenced by readBitmapDAD58Bim(), and Canvas5Image::readVKFLShapeMainData().

## ◆ readBitmapDAD58Bim()

bool Canvas5Structure::readBitmapDAD58Bim | ( | Stream & | stream,
|  | int | version,
|  | MWAWEmbeddedObject & | object
| ) |  |

try to read a bitmap followed by DAD5 and 8BIM zones

Note
  such a bitmap appears in the bitmap lists or in a .cvi bitmap file

Referenced by Canvas5BMParser::createZones(), Canvas5Image::readImages(), and Canvas5Image::readImages9().

## ◆ readPreview()

bool Canvas5Structure::readPreview | ( | Stream & | stream,
|  | bool | hasPreviewBitmap
| ) |  |

try to read the preview bitmap

Referenced by Canvas5Parser::readMainBlock(), and Canvas5Parser::readMainBlock9().